/**
 * @file fermenters.h
 */

#ifndef _FERMENTERS_H
#define _FERMENTERS_H

void fermenter_dump(sys_fermenter_list *fermenter);

/**
 * @brief Birth of a fermenter or data update. Create it in the database if 
 *        never seen before, else just update the database entry.
 * @param topic The MQTT topic string, contains the fermenter type and name.
 * @param payload The JSON formatted payload with the fermenter details.
 */
void fermenter_birth_data(char *topic, char *payload);

/**
 * @brief Death of a fermenter. Mark it offline in the database.
 * @param topic The MQTT topic string, contains the fermenter type and name.
 */
void fermenter_death(char *topic);

/**
 * @brief Data logging from fermenters.
 * @param topic The MQTT topic string, contains the fermenter type and name.
 * @param payload The JSON formatted payload with the fermenter details.
 */
void fermenter_log(char *topic, char *payload);


#endif
